{% extends 'base.html.twig' %}

{% block title %}Grouping index{% endblock %}

{% block body %}
    <h1>Grouping index</h1>

    <table class="table">
        <thead>
            <tr>
                <th>Id</th>
                <th>Name</th>
                <th>Members</th>

                {% if is_granted('ROLE_ADMIN') %}
                    <th>actions</th>
                {% endif %}
            </tr>
        </thead>
        <tbody>
        {% for grouping in groupings %}
            <tr>
                <td>{{ grouping.id }}</td>
                <td>{{ grouping.name }}</td>
                <td>{% for user in grouping.users %} {{ user.username }} {% endfor %}</td>

                {% if is_granted('ROLE_ADMIN') %}
                    <td>
                        <a href="{{ path('grouping_show', {'id': grouping.id}) }}">show</a>
                        <a href="{{ path('grouping_edit', {'id': grouping.id}) }}">edit</a>
                    </td>
                {% endif %}
            </tr>
        {% else %}
            <tr>
                <td colspan="3">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>
    {% if is_granted('ROLE_ADMIN') %}
        <a href="{{ path('grouping_new') }}">Create new</a>
    {% endif %}
{% endblock %}
